Package com.orbbec.obsensor

## Interface Device.OnStateChangeListener

Enclosing class:
  Device

    public static interface Device.OnStateChangeListener

Device Status Monitoring

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onStateChange​(DeviceStateType stateType, java.lang.String msg)` Callback when device status changes

### Method Detail

#### onStateChange

    void onStateChange​(DeviceStateType stateType,
                       java.lang.String msg)

Callback when device status changes

Parameters:
  `stateType` - state type
  `msg` - state message